org.eclipse.ui.themes

## Interface IColorFactory

All Known Implementing Classes:
  RGBBlendColorFactory

    public interface IColorFactory

A factory interface that may be used to specify a color value. This is (optionally) used by the themes extension point for color value definitions.

Example usage:
`<colorDefinition label="Custom Color" id="example.customColor" colorFactory="some.implementor.of.IColorFactory"> </colorDefinition>`

Since:
  3.0

### Method Summary

All Methods Instance Methods Abstract Methods
`RGB` `createColor()` Create a new color.

### Method Detail

#### createColor

    RGB createColor()

Create a new color.

Returns:
  a new color. This must never be `null`.